apiVersion: skaffold/v4beta13
kind: Config
metadata:
  name: khmer-eid-backend
# build:
#   artifacts:
#     - image: khmer-eid
#       docker:
#         dockerfile: Dockerfile

manifests:
  kustomize:
    paths:
      - k8s/local/
    buildArgs:
      - --load-restrictor=LoadRestrictionsNone
portForward:
  # - resourceType: service
  #   resourceName: envoy-default-my-gateway-1c7c06f0
  #   namespace: envoy-gateway-system
  #   port: 80
  #   localPort: 8888
  - resourceType: service
    resourceName: kratos
    namespace: default
    port: 4433
    localPort: 4433